package MInterface::States;
use strict;
use vars qw(
  @ISA
  
  %States
);
use MCoreTools;
use MInterface;
@ISA = qw(MInterface);

*States = \%MConnection::States;

# Internal documentation: instance variables
#   state: current state label
#   staterec: ref to state info hash
#   prev_state: previous state

### Class methods #############################################################

sub _initialize {}

sub new {
  my ($class, $con) = @_;
  my $self = bless {
    connection => $con,
    objects => [],
    prefs => {},
  }, $class;
  return $self;
}

### Instance methods ##########################################################

sub state {$_[0]{state}}

1;
__END__
